# Detect the distribution in use
%global __despace head -n 1 | tr -d '[:space:]' | sed -e 's/[(].*[)]//g'
%global __lower4 cut -c 1-4 | tr '[:upper:]' '[:lower:]'
%global __distfile %([ -f /etc/SuSE-release ] && echo /etc/SuSE-release || echo /etc/redhat-release)
%global __distinit %(sed -e 's/ release .*//' -e 's/\\([A-Za-z]\\)[^ ]*/\\1/g' %{__distfile} | %{__despace} | %{__lower4})
%global __distvers %(sed -e 's/.* release \\([^. ]*\\).*/\\1/' %{__distfile} | %{__despace})
# Identify CentOS Linux and Scientific Linux as rhel
%if "%{__distinit}" == "c" || "%{__distinit}" == "cl" || "%{__distinit}" == "sl" || "%{__distinit}" == "sls"
%global __distinit rhel
%endif
# Dist tag for Fedora is still "fc"
%if "%{__distinit}" == "f"
%global __distinit fc
%endif

# Provides/Requires filtering is different from rpm 4.9 onwards
%global rpm49 %(rpm --version | perl -p -e 's/^.* (\\d+)\\.(\\d+).*/sprintf("%d.%03d",$1,$2) ge 4.009 ? 1 : 0/e' 2>/dev/null || echo 0)

Name:		perl-Data-Dump-Streamer
Version:	2.40
Release:	1.%{__distinit}%{__distvers}
Summary:	Accurately serialize a data structure as Perl code
License:	GPL+ or Artistic
Group:		Development/Libraries
URL:		http://search.cpan.org/dist/Data-Dump-Streamer/
Source0:	http://search.cpan.org/CPAN/authors/id/Y/YV/YVES/Data-Dump-Streamer-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(id -nu)
# Module Build
BuildRequires:	coreutils
BuildRequires:	findutils
BuildRequires:	gcc
BuildRequires:	perl
%if 0%{?fedora} > 6 || 0%{?rhel} > 5
BuildRequires:	perl-devel
%endif
%if 0%{?fedora} > 20 || 0%{?rhel} > 7
BuildRequires:	perl-generators
%endif
BuildRequires:	perl(ExtUtils::CBuilder)
BuildRequires:	perl(ExtUtils::Depends)
BuildRequires:	perl(Module::Build)
# Module Runtime
BuildRequires:	perl(B)
BuildRequires:	perl(B::Deparse)
BuildRequires:	perl(B::Utils) >= 0.05
BuildRequires:	perl(bytes)
BuildRequires:	perl(Compress::Zlib)
BuildRequires:	perl(Data::Dumper)
BuildRequires:	perl(DynaLoader)
BuildRequires:	perl(Exporter)
BuildRequires:	perl(IO::File)
BuildRequires:	perl(MIME::Base64)
BuildRequires:	perl(overload)
BuildRequires:	perl(PadWalker) >= 0.99
BuildRequires:	perl(re)
BuildRequires:	perl(strict)
BuildRequires:	perl(Symbol)
BuildRequires:	perl(Text::Abbrev)
BuildRequires:	perl(Text::Balanced)
BuildRequires:	perl(utf8)
BuildRequires:	perl(vars)
BuildRequires:	perl(warnings)
BuildRequires:	perl(warnings::register)
# Test Suite
BuildRequires:	perl(Algorithm::Diff)
BuildRequires:	perl(base)
BuildRequires:	perl(Carp)
BuildRequires:	perl(Config)
BuildRequires:	perl(constant)
BuildRequires:	perl(Devel::Peek)
BuildRequires:	perl(JSON::XS)
BuildRequires:	perl(Test::More)
# Runtime
Requires:	perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))
Requires:	perl(bytes)
Requires:	perl(Compress::Zlib)
Requires:	perl(MIME::Base64)
Requires:	perl(PadWalker) >= 0.99
Requires:	perl(re)

# Avoid provides/requires for private objects (rpm ≥ 4.9)
%global __provides_exclude ::_::|Streamer\\.so
%global __requires_exclude ::_::

%description
Given a list of scalars or reference variables, writes out their contents
in perl syntax. The references can also be objects. The contents of each
variable is output using the least number of Perl statements as convenient,
usually only one. Self-referential structures, closures, and objects are
output correctly.

%prep
%setup -q -n Data-Dump-Streamer-%{version}

# Avoid provides/requires for private objects (rpm < 4.9)
%if ! %{rpm49}
%global provfilt /bin/sh -c "%{__perl_provides} | grep -Fv '::_::'"
%global __perl_provides %{provfilt}
%global reqfilt /bin/sh -c "%{__perl_requires} | grep -Fv '::_::'"
%global __perl_requires %{reqfilt}
%endif

%build
perl Build.PL DDS --installdirs=vendor --optimize="%{optflags}"
./Build

%install
rm -rf %{buildroot}
./Build install --destdir=%{buildroot} --create_packlist=0
find %{buildroot} -type f -name '*.bs' -empty -delete
%{_fixperms} %{buildroot}

%check
./Build test

%clean
rm -rf %{buildroot}

%files
%doc Changes README.md
%{perl_vendorarch}/auto/Data/
%{perl_vendorarch}/Data/
%{perl_vendorarch}/DDS.pm
%{_mandir}/man3/Data::Dump::Streamer.3*
%{_mandir}/man3/DDS.3*

%changelog
* Tue Aug 30 2016 Paul Howarth <paul@city-fan.org> - 2.40-1
- Update to 2.40
  - Fix up issues with JSON and with non-Padwalker builds
  - Various other tweaks and cleanups to build on newer Perls
  - Updated meta files, etc.

* Mon Aug  1 2016 Paul Howarth <paul@city-fan.org> - 2.39-2
- Update to 2.39
- Add fix for JSON::XS ≥ 3.02 (CPAN RT#112960)
- Classify buildreqs by usage

* Mon Oct  6 2014 Paul Howarth <paul@city-fan.org> - 2.38-4
- Import from Fedora

* Thu Aug 28 2014 Jitka Plesnikova <jplesnik@redhat.com> - 2.38-3
- Perl 5.20 rebuild

* Sun Aug 17 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.38-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Thu Jul 31 2014 Jitka Plesnikova <jplesnik@redhat.com> - 2.38-1
- 2.38 bump

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.36-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Wed Jan 29 2014 Lubomir Rintel <lkundrak@v3.sk> - 2.36-1
- Update to latest upstream version
- Fix build with JSON::XS ≥ 3

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.34-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Jul 18 2013 Petr Pisar <ppisar@redhat.com> - 2.34-5
- Perl 5.18 rebuild
- Perl 5.18 compatibility (CPAN RT#82958)

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.34-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Fri Jul 20 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.34-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Wed Jun 13 2012 Petr Pisar <ppisar@redhat.com> - 2.34-2
- Perl 5.16 rebuild

* Sat Jun 09 2012 Iain Arnell <iarnell@gmail.com> - 2.34-1
- Update to latest upstream version

* Tue Apr 03 2012 Iain Arnell <iarnell@gmail.com> - 2.33-1
- Update to latest upstream version

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.32-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Thu Jul 21 2011 Iain Arnell <iarnell@gmail.com> - 2.32-4
- Perl mass rebuild

* Wed Jul 20 2011 Iain Arnell <iarnell@gmail.com> - 2.32-3
- Update filtering for rpm 4.9

* Tue Jun 21 2011 Marcela Mašláňová <mmaslano@redhat.com> - 2.32-2
- Perl mass rebuild

* Sun Feb 20 2011 Iain Arnell <iarnell@gmail.com> - 2.32-1
- Update to latest upstream version

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.31-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Fri Feb 04 2011 Iain Arnell <iarnell@gmail.com> - 2.31-1
- Update to latest upstream version

* Sun Jan 30 2011 Iain Arnell <iarnell@gmail.com> - 2.25-1
- Update to latest upstream version

* Fri Jan 21 2011 Iain Arnell <iarnell@gmail.com> - 2.23-1
- Update to latest upstream version

* Thu Dec 16 2010 Marcela Maslanova <mmaslano@redhat.com> - 2.22-2
- Rebuild to fix problems with vendorarch/lib (#661697)

* Sun Jul 18 2010 Iain Arnell <iarnell@gmail.com> - 2.22-1
- Update to 2.22
- Enable DDS shortcut
- Update spec for modern rpmbuild

* Wed Jun 23 2010 Iain Arnell <iarnell@gmail.com> - 2.21-1
- Update to latest upstream

* Mon Jun 14 2010 Iain Arnell <iarnell@gmail.com> - 2.18-1
- Update to latest upstream
- Convert to Module::Build
- Use filtering macros

* Tue Apr 06 2010 Iain Arnell <iarnell@gmail.com> - 2.13-1
- Update to latest upstream
- Drop madness.t patch

* Mon Apr 05 2010 Iain Arnell <iarnell@gmail.com> - 2.11-1
- Update to 2.11 (perl 5.12 compatibility tweaks)

* Mon Dec  7 2009 Stepan Kasal <skasal@redhat.com> - 2.09-4
- Rebuild against perl 5.10.1

* Sat Jul 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.09-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Fri Jun 12 2009 Iain Arnell <iarnell@gmail.com> - 2.09-2
- Fix FTBFS by patching t/madness.t (due to rt #44610)

* Sat Apr 04 2009 Iain Arnell <iarnell@gmail.com> - 2.09-1
- Update to latest upstream

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.08-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Fri Dec 05 2008 Iain Arnell <iarnell@gmail.com> - 2.08-1
- Specfile autogenerated by cpanspec 1.77
- Strip private provides/requires
